
body {
    font-family: "Microsoft JhengHei", "PingFang TC", "Noto Sans TC", "Helvetica", "Arial", sans-serif;
}

h1, h2, h3 {
    font-family: "Roboto", "Helvetica", "Arial", sans-serif;
}

.container-xxl {
    max-width: 1400px;
}

.main-navigation {
    background-color: #367F9A;
}

.top-bar {
    background-color: #ffffff;
}

.img_logo {
    max-width: 320px;
}

.text-logo {
    font-size: 20px;
    color: #ffffff;
    font-weight: bold;
    font-family: 魏碑體;
}

.nav-item {
    padding: 0px 10px;
}

#fixedHeader {
    top: 0;
    z-index: 1050;
}

#sys_banner {
    /*background-image: url('<%= ResolveUrl("~/images/banner-bg.png") %>');*/
    background-color: #FFF;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    padding: 2px 0;
}

.navbar-custom {
    background-color: #367F9A;
}

.text-soft-muted {
    color: #b0b0b0;
}

.tooltip-custom .tooltip-inner {
    background-color: #e3f2fd;
    color: #0d47a1;
    font-weight: bold;
    font-size: 0.9rem;
    border: 1px solid #64b5f6;
}

.tooltip-custom .tooltip-arrow::before {
    border-top-color: #e3f2fd !important;
}

.page_footer {
    background-color: #f8f7f7;
    text-align: center;
    color: #808080;
    margin-top: 80px;
    padding: 10px;
    font-size: 10pt;
}


:root {
    --theme-color: #367F9A;
}

.select-list input[type="radio"],
.select-list input[type="checkbox"] {
    margin-right: 6px;
}

.select-list label {
    margin-right: 10px; /* 控制間距，想多寬就改這裡 */
}

a {
    color: royalblue;
    text-decoration: none;
}

.badge-emi {
    color: #fff;
    background-color: #B22222;
}

.badge-lgdis {
    color: #fff;
    background-color: #0d6efd;
}

.badge-coordinate {
    color: #fff;
    background-color: #367F9A;
}


.btn-custom {
    background-color: #367F9A;
    border-color: #367F9A;
    color: white; /* 按鈕文字顏色 */
}

    .btn-custom:hover,
    .btn-custom:focus {
        background-color: #2e6a7a;
        border-color: #2e6a7a;
        color: white;
    }

/* 全螢幕遮罩 */
#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.3); /* 半透明背景 */
    display: flex;
    justify-content: center;
    align-items: flex-start; /* 靠上 */
    z-index: 1050; /* 蓋過所有畫面 */

    visibility: hidden; /* 初始隱藏 */
    opacity: 0;
    transition: opacity 0.3s ease; /* 加點動畫效果 */
}
    #overlay.show {
        visibility: visible;
        opacity: 1;
    }
#loadingBox {
    margin-top: 15%; /* 控制「偏上」 */
    background: white;
    padding: 20px 40px;
    border-radius: 10px;
    box-shadow: 0px 4px 12px rgba(0,0,0,0.3);
    text-align: center;
}


/*-- 導盲磚 */
.c, .u, .b {
    color: transparent !important;
    position: absolute;
    z-index: 1000;
    opacity: 0;
}

    .c:focus-visible, .u:focus-visible, .b:focus-visible {
        opacity: 1;
        color: #535456 !important;
    }

.u {
    position: relative;
}

.c:focus-visible {
    position: relative;
}

.b:focus-visible {
    color: #3a3a3a !important;
}

/*-- 上方連結 --*/
.topLinkBox {
    display: none;
}

@media (min-width: 992px) {
    .topLinkBox {
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }
}

.topLinkBox > a {
    position: relative;
    font-size: 1rem;
    padding-right: 20px;
}

    .topLinkBox > a:first-child {
        padding-right: 10px;
    }

    .topLinkBox > a:nth-child(n+2):nth-child(-n+3):nth-child(-n+4):before {
        content: "";
        position: absolute;
        background-color: #ccc;
        width: 1px;
        height: 20px;
        right: 10px;
        top: 3px;
    }
    .topLinkBox > a {
        color: #636363;
        font-weight :bold;
        text-decoration :none;
    }

        .topLinkBox > a:hover {
            color: #367F9A;
            text-decoration: none;
            font-weight: bold;
        }

a {
    color: var(--theme-color);
    text-decoration: none;
    transition: all 0.3s;
}

    a:hover {
        color: #636363;
    }
